import Vue from "vue";
import Router from "vue-router";

// 解决重复点菜单报错问题
const originalPush = Router.prototype.push;
Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err);
};
Vue.use(Router);

export default new Router({
  mode: 'history',
  base: '/luohe_operation',
  routes: [
    { path: "/", redirect: "/demo1" },
    {
      path: "/index",
      component: () => import("../pages/index/layouts/indexLayout.vue"),
      children: [
        {
          name: "demo1",
          path: "/demo1",
          component: () => import("../pages/index/components/demo1.vue")
        },
        {
          name: "demo2",
          path: "/demo2",
          component: () => import("../pages/index/components/demo2.vue")
        },
        {
          name: "parking_index",
          path: "/parking_index",
          component: () => import("../pages/index/components/parking_index.vue")
        },
        {
          name: "product_order_search",
          path: "/product_order_search",
          component: () => import("../pages/index/components/product_order_search.vue")
        },
        {
          name: "parking_order",
          path: "/parking_order",
          component: () => import("../pages/index/components/parking_order.vue")
        },
        {
          name: "berth_list",
          path: "/berth_list",
          component: () => import("../pages/index/components/berth_list.vue")
        },
        {
          name: "parking_card",
          path: "/parking_card",
          component: () => import("../pages/index/components/parking_card.vue")
        },
        {
          name: "parking_unpeak",
          path: "/parking_unpeak",
          component: () => import("../pages/index/components/parking_unpeak.vue")
        },
        {
          name: "appointment_rules",
          path: "/appointment_rules",
          component: () => import("../pages/index/components/appointment_rules.vue")
        },
        {
          name: "parking_correction",
          path: "/parking_correction",
          component: () => import("../pages/index/components/parking_correction.vue")
        },
        {
          name: "inspection_management",
          path: "/inspection_management",
          component: () => import("../pages/index/components/inspection_management.vue")
        },
        {
          name: "performance_assess",
          path: "/performance_assess",
          component: () => import("../pages/index/components/performance_assess.vue")
        },
        {
          name: "pakking_lot",
          path: "/pakking_lot",
          component: () => import("../pages/index/components/pakking_lot.vue")
        },
        {
          name: "personnel_management",
          path: "/personnel_management",
          component: () => import("../pages/index/components/personnel_management.vue")
        },
        {
          name: "business_record",
          path: "/business_record",
          component: () => import("../pages/index/components/business_record.vue")
        },
        {
          name: "exception_handing",
          path: "/exception_handing",
          component: () => import("../pages/index/components/exception_handing.vue")
        },
        {
          name: "basic_configuration",
          path: "/basic_configuration",
          component: () => import("../pages/index/components/basic_configuration.vue")
        },
        {
          name: "parking_outside_operation",
          path: "/parking_outside_operation",
          component: () => import("../pages/index/components/parking_outside_operation.vue")
        },
        {
          name: "defaulting_subscrlber",
          path: "/defaulting_subscrlber",
          component: () => import("../pages/index/components/defaulting_subscrlber.vue")
        },
        {
          name: "task_recovery",
          path: "/task_recovery",
          component: () => import("../pages/index/components/task_recovery.vue")
        },
        {
          name: "task_audit",
          path: "/task_audit",
          component: () => import("../pages/index/components/task_audit.vue")
        },
        {
          name: "task_report",
          path: "/task_report",
          component: () => import("../pages/index/components/task_report.vue")
        },
        {
          name: "telephone_management",
          path: "/telephone_management",
          component: () => import("../pages/index/components/telephone_management.vue")
        },
        {
          name: "product_order",
          path: "/product_order",
          component: () => import("../pages/index/components/product_order.vue")
        },
        {
          name: "lead_system",
          path: "/lead_system",
          component: () => import("../pages/index/components/lead_system.vue")
        },
        {
          name: "message_management",
          path: "/message_management",
          component: () => import("../pages/index/components/message_management.vue")
        },
        {
          name: "service_configuration",
          path: "/service_configuration",
          component: () => import("../pages/index/components/service_configuration.vue")
        },
      ]
    }
  ]
});
